Schedule or cancel a planned start
PATCH
Schedules an automatic start at plannedStart (ISO 8601 date in the future). The campaign must pass the start checks at scheduling time (same errors as POST .../start). Send null (or an empty value) to cancel a planned start.
Authorization
apiKey Authorization<token>
Your 48 character API key, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api.
In: header
Path Parameters
campaignId*string
Identifier of a multichannel campaign (24 hexadecimal characters), as returned by POST /advanced/campaigns or GET /advanced/campaigns.
Match
^[0-9a-fA-F]{24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/advanced/campaigns/6650f1a2b839d80011c5a0f1/planned-start" \ -H "Authorization: YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "plannedStart": "2026-11-03T08:00:00.000Z" }'{ "success": true, "plannedStart": "2026-11-03T08:00:00.000Z"}